Commit 66bd8f34 authored by Etienne Renault's avatar Etienne Renault

Merge kripketest, graphtest and ltltest into tests

* README, configure.ac, iface/ltsmin/Makefile.am,
src/tests/defs.in, src/tests/.gitignore, src/tests/Makefile.am,
src/Makefile.am: update references.
* src/kripketest/.gitignore, src/kripketest/Makefile.am,
src/kripketest/defs.in, src/graphtest/.gitignore,
src/graphtest/Makefile.am,
src/graphtest/defs.in, src/ltltest/.cvsignore,
src/ltltest/.gitignore, src/ltltest/Makefile.am,
src/ltltest/defs.in:: remove files.
* src/kripketest/bad_parsing.test, src/kripketest/kripke.test,
src/kripketest/origin, src/kripketest/parse_print_test.cc,
src/ltltest/bare.test, src/ltltest/consterm.cc,
src/ltltest/consterm.test, src/tests/defs.in,
src/ltltest/equals.test, src/ltltest/equalsf.cc,
src/ltltest/eventuniv.test, src/ltltest/exclusive-ltl.test,
src/graphtest/graph.cc, src/graphtest/graph.test,
src/ltltest/isop.test, src/ltltest/kind.cc,
src/ltltest/kind.test, src/ltltest/latex.test,
src/ltltest/lbt.test, src/ltltest/length.cc,
src/ltltest/length.test, src/ltltest/lenient.test,
src/ltltest/ltlcrossgrind.test, src/ltltest/ltlfilt.test,
src/ltltest/ltlgrind.test, src/ltltest/ltlrel.cc,
src/ltltest/ltlrel.test, src/ltltest/lunabbrev.test,
src/ltltest/nenoform.test, src/graphtest/ngraph.cc,
src/graphtest/ngraph.test, src/ltltest/parse.test,
src/ltltest/parseerr.test, src/ltltest/rand.test,
src/ltltest/readltl.cc, src/ltltest/reduc.cc,
src/ltltest/reduc.test, src/ltltest/reduc0.test,
src/ltltest/reduccmp.test, src/ltltest/reducpsl.test,
src/ltltest/remove_x.test, src/ltltest/stutter-ltl.test,
src/ltltest/syntimpl.cc, src/ltltest/syntimpl.test,
src/graphtest/tgbagraph.test, src/ltltest/tostring.cc,
src/ltltest/tostring.test, src/ltltest/tunabbrev.test,
src/ltltest/tunenoform.test, src/graphtest/twagraph.cc,
src/ltltest/unabbrevwm.test,src/ltltest/utf8.test,
src/ltltest/uwrm.test: rename as...
* src/tests/bad_parsing.test, src/tests/kripke.test,
src/tests/origin, src/tests/parse_print_test.cc,
src/tests/bare.test, src/tests/consterm.cc,
src/tests/consterm.test, src/tests/equals.test,
src/tests/equalsf.cc, src/tests/eventuniv.test,
src/tests/exclusive-ltl.test, src/tests/graph.cc,
src/tests/graph.test, src/tests/isop.test,
src/tests/kind.cc, src/tests/kind.test,
src/tests/latex.test, src/tests/lbt.test,
src/tests/length.cc, src/tests/length.test,
src/tests/lenient.test, src/tests/ltlcrossgrind.test,
src/tests/ltlfilt.test, src/tests/ltlgrind.test,
src/tests/ltlrel.cc, src/tests/ltlrel.test,
src/tests/lunabbrev.test, src/tests/nenoform.test,
src/tests/ngraph.cc, src/tests/ngraph.test,
src/tests/parse.test, src/tests/parseerr.test,
src/tests/rand.test, src/tests/readltl.cc,
src/tests/reduc.cc, src/tests/reduc.test,
src/tests/reduc0.test, src/tests/reduccmp.test,
src/tests/reducpsl.test, src/tests/remove_x.test,
src/tests/stutter-ltl.test, src/tests/syntimpl.cc,
src/tests/syntimpl.test, src/tests/tgbagraph.test,
src/tests/tostring.cc, src/tests/tostring.test,
src/tests/tunabbrev.test, src/tests/tunenoform.test,
src/tests/twagraph.cc, src/tests/unabbrevwm.test,
src/tests/utf8.test, src/tests/uwrm.test: ...these!
parent bd57f7a9
......@@ -139,21 +139,18 @@ src/ Sources for libspot.
man/ Man pages for the above tools.
dstarparse/ Parser for the output of ltl2dstar.
graph/ Graph representations.
graphtest/ Graph representations.
hoaparse/ Parser for HOA automata and Spin's never claims.
kripke/ Kripke Structure interface.
kripkeparse/ Parser for explicit Kripke.
kripketest/ Tests for kripke explicit.
ltlast/ LTL abstract syntax tree (including nodes for ELTL).
ltlenv/ LTL environments.
ltlparse/ Parser for LTL formulae.
ltlvisit/ Visitors of LTL formulae.
ltltest/ Tests for ltlast/, ltlenv/, ltlparse/, and ltlvisit/.
misc/ Miscellaneous support files.
priv/ Private algorithms, used internally but not exported.
ta/ TA objects and cousins (TGTA).
taalgos/ Algorithms on TA/TGTA.
tests/ Tests for twa/, twaalgos/, ta/ and taalgos/.
tests/ Tests for the whole library.
twa/ TωA objects and cousins (Transition-based ω-Automata).
twaalgos/ Algorithms on TωA.
gtec/ Couvreur's Emptiness-Check.
......@@ -202,10 +199,10 @@ End:
LocalWords: Python's BuDDy LBTT LTL Büchi lbtt gspn DIR GreatSPN Soheib Yann
LocalWords: Baarir Thierry Mieg CVS Università di Torino devel src libspot ac
LocalWords: ltlast ltlenv ltlparse ltlvisit ltltest misc tgba TGBA tgbaalgos
LocalWords: ltlast ltlenv ltlparse ltlvisit misc tgba TGBA tgbaalgos
LocalWords: gtec Tarjan doc html PDF spotref pdf cgi ELTL
LocalWords: CGI ltl iface BDD Couvreur's emptchk kripke Kripke saba vm
LocalWords: eltlparse eltltest SABA sabaalgos sabatest ssp ltlcouter scc SCC
LocalWords: formulae optimizations kripkeparse kripketest Automata
LocalWords: formulae optimizations kripkeparse Automata
LocalWords: neverparse ltlcounter ltlclasses parallelizing automata
LocalWords: wdba WDBA ajax dve DiVinE ltdl Libtool's dlopen
......@@ -201,17 +201,11 @@ AC_CONFIG_FILES([
src/dstarparse/Makefile
src/kripke/Makefile
src/graph/Makefile
src/graphtest/Makefile
src/graphtest/defs
src/hoaparse/Makefile
src/ltlast/Makefile
src/ltlenv/Makefile
src/ltlparse/Makefile
src/kripkeparse/Makefile
src/kripketest/Makefile
src/kripketest/defs
src/ltltest/defs
src/ltltest/Makefile
src/ltlvisit/Makefile
src/Makefile
src/misc/Makefile
......
......@@ -41,10 +41,10 @@ check_SCRIPTS = defs
TESTS = check.test finite.test finite2.test kripke.test
EXTRA_DIST = $(TESTS) beem-peterson.4.dve finite.dve finite.pm
kripke.test: $(top_builddir)/src/kripketest/parse_print$(EXEEXT)
kripke.test: $(top_builddir)/src/tests/parse_print$(EXEEXT)
$(top_builddir)/src/kripketest/parse_print$(EXEEXT):
cd $(top_builddir)/src/kripketest && \
$(top_builddir)/src/tests/parse_print$(EXEEXT):
cd $(top_builddir)/src/tests && \
$(MAKE) $(AM_MAKEFLAGS) parse_print$(EXEEXT)
distclean-local:
......
......@@ -27,7 +27,7 @@ AUTOMAKE_OPTIONS = subdir-objects
# libspot.la needed by the tests)
SUBDIRS = misc priv ltlenv ltlast ltlvisit ltlparse graph twa \
twaalgos ta taalgos kripke kripkeparse dstarparse hoaparse \
. bin ltltest graphtest tests kripketest sanity
. bin tests sanity
lib_LTLIBRARIES = libspot.la
libspot_la_SOURCES =
......
graph
ngraph
tgbagraph
defs
## -*- coding: utf-8 -*-
## Copyright (C) 2014 Laboratoire de Recherche et Développement de
## l'Epita (LRDE).
##
## This file is part of Spot, a model checking library.
##
## Spot is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## Spot is distributed in the hope that it will be useful, but WITHOUT
## ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
## License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program. If not, see <http://www.gnu.org/licenses/>.
AM_CPPFLAGS = -I$(srcdir)/.. -I.. $(BUDDY_CPPFLAGS)
AM_CXXFLAGS = $(WARNING_CXXFLAGS)
LDADD = ../libspot.la
noinst_PROGRAMS = graph ngraph tgbagraph
graph_SOURCES = graph.cc
ngraph_SOURCES = ngraph.cc
tgbagraph_SOURCES = twagraph.cc
TESTS = graph.test ngraph.test tgbagraph.test
EXTRA_DIST = $(TESTS)
distclean-local:
rm -rf $(TESTS:.test=.dir)
# -*- mode: shell-script; coding: utf-8 -*-
# Copyright (C) 2009, 2010, 2012, 2013, 2014 Laboratoire de Recherche
# et Développement de l'Epita (LRDE).
# Copyright (C) 2003, 2004, 2006 Laboratoire d'Informatique de Paris 6
# (LIP6), département Systèmes Répartis Coopératifs (SRC), Université
# Pierre et Marie Curie.
#
# This file is part of Spot, a model checking library.
#
# Spot is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Spot is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
# Ensure we are running from the right directory.
test -f ./defs || {
echo "defs: not found in current directory" 1>&2
exit 1
}
# If srcdir is not set, then we are not running from `make check'.
if test -z "$srcdir"; then
# compute $srcdir.
srcdir=`echo "$0" | sed -e 's,/[^\\/]*$,,'`
test $srcdir = $0 && srcdir=.
fi
# Ensure $srcdir is set correctly.
test -f $srcdir/defs.in || {
echo "$srcdir/defs.in not found, check \$srcdir" 1>&2
exit 1
}
echo "== Running test $0"
me=`echo "$0" | sed -e 's,.*[\\/],,;s/\.test$//'`
testSubDir=$me.dir
chmod -R a+rwx $testSubDir > /dev/null 2>&1
rm -rf $testSubDir > /dev/null 2>&1
mkdir $testSubDir
cd $testSubDir
# Adjust srcdir now that we are in a subdirectory. We still want
# $srcdir to point to the source directory corresponding to the build
# directory that contains $testSubDir.
case $srcdir in
[\\/$]* | ?:[\\/]* );;
*) srcdir=../$srcdir
esac
DOT='@DOT@'
top_builddir='../@top_builddir@'
VALGRIND='@VALGRIND@'
PYTHON='@PYTHON@'
run()
{
expected_exitcode=$1
shift
exitcode=0
if test -n "$VALGRIND"; then
exec 6>valgrind.err
GLIBCPP_FORCE_NEW=1 \
../../../libtool --mode=execute \
$VALGRIND --tool=memcheck --leak-check=yes --log-fd=6 -q "$@" ||
exitcode=$?
cat valgrind.err 1>&2
test -z "`sed 1q valgrind.err`" || exit 50
rm -f valgrind.err
else
"$@" || exitcode=$?
fi
test $exitcode = $expected_exitcode || exit 1
}
set -x
Makefile
Makefile.in
defs
parse_print
## Copyright (C) 2011 Laboratoire de Recherche et Developpement de
## l'Epita (LRDE)
##
## This file is part of Spot, a model checking library.
##
## Spot is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## Spot is distributed in the hope that it will be useful, but WITHOUT
## ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
## License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program. If not, see <http://www.gnu.org/licenses/>.
AM_CPPFLAGS = -I$(srcdir)/.. -I.. $(BUDDY_CPPFLAGS)
kripketestdir = $(pkgincludedir)/kripketest
kripketest_HEADERS =
LDADD = ../libspot.la
check_SCRIPTS = defs
parse_print_SOURCES = parse_print_test.cc
check_PROGRAMS = \
parse_print
TESTS = \
kripke.test \
bad_parsing.test
EXTRA_DIST = $(TESTS)
distclean-local:
rm -rf $(TESTS:.test=.dir)
# -*- shell-script -*-
# Copyright (C) 2009, 2010 Laboratoire de Recherche et Dveloppement
# de l'Epita (LRDE).
# Copyright (C) 2003, 2004, 2006 Laboratoire d'Informatique de Paris 6 (LIP6),
# dpartement Systmes Rpartis Coopratifs (SRC), Universit Pierre
# et Marie Curie.
#
# This file is part of Spot, a model checking library.
#
# Spot is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Spot is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
# Ensure we are running from the right directory.
test -f ./defs || {
echo "defs: not found in current directory" 1>&2
exit 1
}
# If srcdir is not set, then we are not running from `make check'.
if test -z "$srcdir"; then
# compute $srcdir.
srcdir=`echo "$0" | sed -e 's,/[^\\/]*$,,'`
test $srcdir = $0 && srcdir=.
fi
# Ensure $srcdir is set correctly.
test -f $srcdir/defs.in || {
echo "$srcdir/defs.in not found, check \$srcdir" 1>&2
exit 1
}
echo "== Running test $0"
me=`echo "$0" | sed -e 's,.*[\\/],,;s/\.test$//'`
testSubDir=$me.dir
chmod -R a+rwx $testSubDir > /dev/null 2>&1
rm -rf $testSubDir > /dev/null 2>&1
mkdir $testSubDir
cd $testSubDir
# Adjust srcdir now that we are in a subdirectory. We still want to
# source directory corresponding to the build directory that contains
# $testSubDir.
case $srcdir in
# I
[\\/$]* | ?:[\\/]* );;
*) srcdir=../$srcdir
esac
DOT='@DOT@'
top_builddir='../@top_builddir@'
LBTT="@LBTT@"
LBTT_TRANSLATE="@LBTT_TRANSLATE@"
VALGRIND='@VALGRIND@'
SPIN='@SPIN@'
LTL2BA='@LTL2BA@'
top_srcdir='../@top_srcdir@'
run()
{
expected_exitcode=$1
shift
exitcode=0
if test -n "$VALGRIND"; then
exec 6>valgrind.err
GLIBCPP_FORCE_NEW=1 \
../../../libtool --mode=execute \
$VALGRIND --tool=memcheck --leak-check=yes --log-fd=6 -q "$@" ||
exitcode=$?
cat valgrind.err 1>&2
test -z "`sed 1q valgrind.err`" || exit 50
rm -f valgrind.err
else
"$@" || exitcode=$?
fi
test $exitcode = $expected_exitcode || exit 1
}
set -x
Makefile
Makefile.in
.deps
ltl2dot
ltl2text
stdout
parser.dot
expect
defs
equals
lunabbrev
tunabbrev
nenoform
tunenoform
.libs
tostring
reduc
reduccmp
syntimpl
Makefile
Makefile.in
.deps
ltl2dot
ltl2text
stdout
parser.dot
expect
defs
equals
nequals
lunabbrev
tunabbrev
nenoform
tunenoform
.libs
tostring
reduc
reduccmp
syntimpl
randltl
*.dot
reductau
reductaustr
genltl
kind
consterm
apcollect
length
reduceu
unabbrevwm
ltlrel
## -*- coding: utf-8 -*-
## Copyright (C) 2009, 2010, 2011, 2012, 2013, 2014, 2015 Laboratoire
## de Recherche et Développement de l'Epita (LRDE).
## Copyright (C) 2003, 2004, 2005, 2006 Laboratoire d'Informatique de
## Paris 6 (LIP6), département Systèmes Répartis Coopératifs (SRC),
## Université Pierre et Marie Curie.
##
## This file is part of Spot, a model checking library.
##
## Spot is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## Spot is distributed in the hope that it will be useful, but WITHOUT
## ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
## License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program. If not, see <http://www.gnu.org/licenses/>.
AM_CPPFLAGS = -I$(srcdir)/.. -I.. $(BUDDY_CPPFLAGS)
AM_CXXFLAGS = $(WARNING_CXXFLAGS)
LDADD = ../libspot.la
check_SCRIPTS = defs
# Keep this sorted alphabetically.
check_PROGRAMS = \
consterm \
equals \
kind \
length \
ltl2dot \
ltl2text \
ltlrel \
lunabbrev \
nequals \
nenoform \
reduc \
reduccmp \
reduceu \
reductaustr \
syntimpl \
tostring \
tunabbrev \
tunenoform
consterm_SOURCES = consterm.cc
equals_SOURCES = equalsf.cc
kind_SOURCES = kind.cc
length_SOURCES = length.cc
ltl2dot_SOURCES = readltl.cc
ltl2dot_CPPFLAGS = $(AM_CPPFLAGS) -DDOTTY
ltl2text_SOURCES = readltl.cc
ltlrel_SOURCES = ltlrel.cc
lunabbrev_SOURCES = equalsf.cc
lunabbrev_CPPFLAGS = $(AM_CPPFLAGS) -DLUNABBREV
nenoform_SOURCES = equalsf.cc
nenoform_CPPFLAGS = $(AM_CPPFLAGS) -DNENOFORM
nequals_SOURCES = equalsf.cc
nequals_CPPFLAGS = $(AM_CPPFLAGS) -DNEGATE
reduc_SOURCES = reduc.cc
reduccmp_SOURCES = equalsf.cc
reduccmp_CPPFLAGS = $(AM_CPPFLAGS) -DREDUC
reduceu_SOURCES = equalsf.cc
reduceu_CPPFLAGS = $(AM_CPPFLAGS) -DREDUC -DEVENT_UNIV
reductaustr_SOURCES = equalsf.cc
reductaustr_CPPFLAGS = $(AM_CPPFLAGS) -DREDUC_TAUSTR
syntimpl_SOURCES = syntimpl.cc
tostring_SOURCES = tostring.cc
tunabbrev_SOURCES = equalsf.cc
tunabbrev_CPPFLAGS = $(AM_CPPFLAGS) -DTUNABBREV
tunenoform_SOURCES = equalsf.cc
tunenoform_CPPFLAGS = $(AM_CPPFLAGS) -DNENOFORM -DTUNABBREV
EXTRA_DIST = $(TESTS)
# Ordered by strength of the test. Test basic features first.
TESTS = \
bare.test \
parse.test \
parseerr.test \
utf8.test \
length.test \
equals.test \
tostring.test \
lunabbrev.test \
tunabbrev.test \
nenoform.test \
tunenoform.test \
unabbrevwm.test \
consterm.test \
kind.test \
remove_x.test \
ltlrel.test \
ltlgrind.test \
ltlcrossgrind.test \
ltlfilt.test \
exclusive-ltl.test \
latex.test \
lbt.test \
lenient.test \
rand.test \
isop.test \
syntimpl.test \
reduc.test \
reduc0.test \
reducpsl.test \
reduccmp.test \
uwrm.test \
eventuniv.test \
stutter-ltl.test
distclean-local:
rm -rf $(TESTS:.test=.dir)
# -*- shell-script -*-
# Copyright (C) 2009 Laboratoire de Recherche et Développement
# de l'Epita (LRDE).
# Copyright (C) 2003, 2004, 2006 Laboratoire d'Informatique de Paris 6 (LIP6),
# dpartement Systmes Rpartis Coopratifs (SRC), Universit Pierre
# et Marie Curie.
#
# This file is part of Spot, a model checking library.
#
# Spot is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Spot is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
# Ensure we are running from the right directory.
test -f ./defs || {
echo "defs: not found in current directory" 1>&2
exit 1
}
# If srcdir is not set, then we are not running from `make check'.
if test -z "$srcdir"; then
# compute $srcdir.
srcdir=`echo "$0" | sed -e 's,/[^\\/]*$,,'`
test $srcdir = $0 && srcdir=.
fi
# Ensure $srcdir is set correctly.
test -f $srcdir/defs.in || {
echo "$srcdir/defs.in not found, check \$srcdir" 1>&2
exit 1
}
echo "== Running test $0"
me=`echo "$0" | sed -e 's,.*[\\/],,;s/\.test$//'`
testSubDir=$me.dir
chmod -R a+rwx $testSubDir > /dev/null 2>&1
rm -rf $testSubDir > /dev/null 2>&1
mkdir $testSubDir
cd $testSubDir
DOT='@DOT@'
VALGRIND='@VALGRIND@'
top_srcdir='../@top_srcdir@'
run()
{
expected_exitcode=$1
shift
exitcode=0
if test -n "$VALGRIND"; then
exec 6>valgrind.err
GLIBCPP_FORCE_NEW=1 \
../../../libtool --mode=execute \
$VALGRIND --tool=memcheck --leak-check=yes --log-fd=6 -q "$@" ||
exitcode=$?
cat valgrind.err 1>&2
test -z "`sed 1q valgrind.err`" || exit 50
rm -f valgrind.err
else
"$@" || exitcode=$?
fi
test $exitcode = $expected_exitcode || exit 1
}
set -x
acc
apcollect
bddprod
bitvect
blue_counter
checkpsl
checkta
complement
consterm
defs
.deps
*.dot
eltl2tgba
emptchk
defs
equals
expect
expldot
explicit
explicit2
explicit3
explprod
graph
genltl
input
intvcomp
intvcmp2
kind
length
.libs
ltl2tgba
ltl2dot
ltl2text
ltlmagic
ltlprod
ltlrel
lunabbrev
Makefile
Makefile.in
maskacc
mixprod
nequals
nenoform
ngraph
output1
output2
parse_print
powerset
*.ps
randltl
randtgba
readsat
readsave
reduc
reduceu
reductau
reductaustr
reduccmp